Bug 1435953 - fedfind get_release do not work anymore on f25 ppc64le
Summary: fedfind get_release do not work anymore on f25 ppc64le
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedfind
Version: 25
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Williamson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2017-03-26 07:00 UTC by Michel Normand
Modified: 2017-04-05 18:50 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-04-05 18:50:05 UTC


Attachments (Terms of Use)
tstfedfind (1002 bytes, text/plain)
2017-03-26 07:00 UTC, Michel Normand
no flags Details

Description Michel Normand 2017-03-26 07:00:09 UTC
Created attachment 1266496 [details]
tstfedfind

fedfind get_release do not work anymore on f25 ppc64le
when passing an ppc.koji url (1)
trying to execute attached tstfedfind
in a ppc64le f25 guest with last dnf upgrade.
at least since rpm fedfind version 3.5.0 (2) while no failure with 3.4.0 (3)

(1)
===
# python /tmp/tstfedfind
cid and release: Fedora-26-20170321.1 26
version was digit
current  version:  26
current  release:  25
previous release:  24
Could not find a release at https://ppc.koji.fedoraproject.org/compose/25/latest-Fedora-25/compose
=== (2) failure with:
]# rpm -qa |grep fedfind
python3-fedfind-3.5.0-1.fc25.noarch
python2-fedfind-3.5.0-1.fc25.noarch
fedfind-3.5.0-1.fc25.noarch
===

(3) no failure previous version
=== 
$python /tmp/tstfedfind
cid and release: Fedora-26-20170321.1 26
version was digit
current  version:  26
current  release:  25
previous release:  24
cid and release: Fedora-25-20161116.0 25
version was digit
current  version:  25
current  release:  24
previous release:  23
===
$rpm -qa |grep fedfind
fedfind-3.4.0-1.fc25.noarch
python3-fedfind-3.4.0-1.fc25.noarch
===

Comment 1 Adam Williamson 2017-03-26 17:20:57 UTC
Sorry for the trouble, it's all puiterwijk's fault ;) Please try 3.5.2:

https://bodhi.fedoraproject.org/updates/FEDORA-2017-dab68ff791

Comment 2 Michel Normand 2017-03-27 07:17:07 UTC
(In reply to Adam Williamson from comment #1)
> Sorry for the trouble, it's all puiterwijk's fault ;) Please try 3.5.2:
> 
> https://bodhi.fedoraproject.org/updates/FEDORA-2017-dab68ff791

tested OK

Comment 3 Fedora Update System 2017-03-28 08:51:04 UTC
fedfind-3.5.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dab68ff791

Comment 4 Fedora Update System 2017-04-05 18:50:05 UTC
fedfind-3.5.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.